#!/bin/sh
export PATH='/usr/local/sbin:/usr/local/bin:/usr/bin:/usr/bin/site_perl:/usr/bin/vendor_perl:/usr/bin/core_perl'
printf '%s' 'name:                 hls-code-range-plugin
version:              2.0.0.0
visibility:           public
id:                   hls-code-range-plugin-2.0.0.0-I1Hg60fsRNWHEPFFwBlXxN
key:                  hls-code-range-plugin-2.0.0.0-I1Hg60fsRNWHEPFFwBlXxN
license:              Apache-2.0
maintainer:           kokobd
author:               kokobd
synopsis:
    HLS Plugin to support smart selection range and Folding range

description:
    Please see the README on GitHub at <https://github.com/haskell/haskell-language-server#readme>

category:             Development
abi:                  36e140940f9e308309e8d7c72513435b
exposed:              True
exposed-modules:      Ide.Plugin.CodeRange Ide.Plugin.CodeRange.Rules
hidden-modules:       Ide.Plugin.CodeRange.ASTPreProcess
import-dirs:          /usr/lib/ghc-9.4.8/site-local/hls-code-range-plugin-2.0.0.0
library-dirs:         /usr/lib/ghc-9.4.8/site-local/hls-code-range-plugin-2.0.0.0
library-dirs-static:  /usr/lib/ghc-9.4.8/site-local/hls-code-range-plugin-2.0.0.0
dynamic-library-dirs: /usr/lib
data-dir:             /usr/share/haskell-hls-code-range-plugin
hs-libraries:         HShls-code-range-plugin-2.0.0.0-I1Hg60fsRNWHEPFFwBlXxN
depends:
    aeson-2.1.2.1-J2O2DhkqTdr955bE1WQ8HA base-4.17.2.1 containers-0.6.7
    deepseq-1.4.8.0 extra-1.7.16-EvPnSfrcFQm8neoAr74GN
    ghcide-2.0.0.0-7qB8O0UBGrB66JiqYoYmK0
    hashable-1.4.4.0-1e2yNFIIRl7JCUwOrYuNhx
    hls-plugin-api-2.0.0.0-Gk8FDJQkMvpKJgAgrPqPKU
    lens-5.2.3-JKJ6GfsnU5HFya6TRx2GcD
    lsp-1.6.0.0-5M47nrgaoblEyaXZZ1yXd2 mtl-2.2.2
    semigroupoids-6.0.1-AGcW3Xogwb6AuIf3mkcCH2 text-2.0.2
    transformers-0.5.6.2 vector-0.13.1.0-JLRCKZZtjhTALY1WfHro6u

haddock-interfaces:
    /usr/share/doc/haskell-hls-code-range-plugin/html/hls-code-range-plugin.haddock

haddock-html:         /usr/share/doc/haskell-hls-code-range-plugin/html
' | '/usr/bin/ghc-pkg-9.4.8' 'update' '--force' '-' '--global' '--no-user-package-db' "$@"

